Upstream information

CVE-2010-0542 at MITRE

Description

The _WriteProlog function in texttops.c in texttops in the Text Filter subsystem in CUPS before 1.4.4 does not check the return values of certain calloc calls, which allows remote attackers to cause a denial of service (NULL pointer dereference or heap memory corruption) or possibly execute arbitrary code via a crafted file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 601352 [RESOLVED / FIXED], 644521 [RESOLVED / FIXED], 657780 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • cups-devel >= 1.3.9-8.46.56.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA cups-devel-1.3.9-8.46.56.1
SUSE Linux Enterprise Desktop 12 SP1
  • cups >= 1.7.5-9.1
  • cups-client >= 1.7.5-9.1
  • cups-devel >= 1.7.5-9.1
  • cups-libs >= 1.7.5-9.1
  • cups-libs-32bit >= 1.7.5-9.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA cups-1.7.5-9.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA cups-devel-1.7.5-9.1
SUSE Linux Enterprise Desktop 12 SP2
  • cups >= 1.7.5-12.4
  • cups-client >= 1.7.5-12.4
  • cups-ddk >= 1.7.5-12.4
  • cups-devel >= 1.7.5-12.4
  • cups-libs >= 1.7.5-12.4
  • cups-libs-32bit >= 1.7.5-12.4
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA cups-1.7.5-12.4
SUSE Linux Enterprise Software Development Kit 12 SP2 GA cups-ddk-1.7.5-12.4
SUSE Linux Enterprise Desktop 12 SP3
  • cups >= 1.7.5-19.1
  • cups-client >= 1.7.5-19.1
  • cups-ddk >= 1.7.5-19.1
  • cups-devel >= 1.7.5-19.1
  • cups-libs >= 1.7.5-19.1
  • cups-libs-32bit >= 1.7.5-19.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA cups-1.7.5-19.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA cups-ddk-1.7.5-19.1
SUSE Linux Enterprise Desktop 12 SP4
  • cups >= 1.7.5-20.17.1
  • cups-client >= 1.7.5-20.17.1
  • cups-ddk >= 1.7.5-20.17.1
  • cups-devel >= 1.7.5-20.17.1
  • cups-libs >= 1.7.5-20.17.1
  • cups-libs-32bit >= 1.7.5-20.17.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA cups-1.7.5-20.17.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA cups-ddk-1.7.5-20.17.1
SUSE Linux Enterprise Desktop 12
  • cups >= 1.7.5-2.7
  • cups-client >= 1.7.5-2.7
  • cups-devel >= 1.7.5-2.7
  • cups-libs >= 1.7.5-2.7
  • cups-libs-32bit >= 1.7.5-2.7
Patchnames:
SUSE Linux Enterprise Desktop 12 GA cups-1.7.5-2.7
SUSE Linux Enterprise Software Development Kit 12 GA cups-devel-1.7.5-2.7
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • cups >= 2.2.7-1.24
  • cups-client >= 2.2.7-1.24
  • cups-config >= 2.2.7-1.24
  • cups-ddk >= 2.2.7-1.24
  • cups-devel >= 2.2.7-1.24
  • libcups2 >= 2.2.7-1.24
  • libcups2-32bit >= 2.2.7-1.24
  • libcupscgi1 >= 2.2.7-1.24
  • libcupsimage2 >= 2.2.7-1.24
  • libcupsmime1 >= 2.2.7-1.24
  • libcupsppdc1 >= 2.2.7-1.24
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA cups-2.2.7-1.24
SUSE Linux Enterprise Module for Desktop Applications 15 GA libcups2-32bit-2.2.7-1.24
SUSE Linux Enterprise Module for Development Tools 15 GA cups-ddk-2.2.7-1.24
SUSE Linux Enterprise High Performance Computing 12 SP5
  • cups >= 1.7.5-20.23.1
  • cups-client >= 1.7.5-20.23.1
  • cups-libs >= 1.7.5-20.23.1
  • cups-libs-32bit >= 1.7.5-20.23.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA cups-1.7.5-20.23.1
SUSE Linux Enterprise High Performance Computing 12
SUSE Linux Enterprise Module for Legacy 12
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Module for Basesystem 15
  • cups >= 2.2.7-1.24
  • cups-client >= 2.2.7-1.24
  • cups-config >= 2.2.7-1.24
  • cups-devel >= 2.2.7-1.24
  • libcups2 >= 2.2.7-1.24
  • libcupscgi1 >= 2.2.7-1.24
  • libcupsimage2 >= 2.2.7-1.24
  • libcupsmime1 >= 2.2.7-1.24
  • libcupsppdc1 >= 2.2.7-1.24
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA cups-2.2.7-1.24
SUSE Linux Enterprise Module for Desktop Applications 15
  • libcups2-32bit >= 2.2.7-1.24
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA libcups2-32bit-2.2.7-1.24
SUSE Linux Enterprise Module for Development Tools 15
  • cups-ddk >= 2.2.7-1.24
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 GA cups-ddk-2.2.7-1.24
SUSE Linux Enterprise Server 11 SP1
  • cups >= 1.3.9-8.37.1
  • cups-client >= 1.3.9-8.37.1
  • cups-libs >= 1.3.9-8.37.1
  • cups-libs-32bit >= 1.3.9-8.46.52.2
  • cups-libs-x86 >= 1.3.9-8.44.1
Patchnames:
slessp1-cups
SUSE Linux Enterprise Server 11 SP2
  • cups >= 1.3.9-8.44.1
  • cups-client >= 1.3.9-8.44.1
  • cups-libs >= 1.3.9-8.44.1
  • cups-libs-32bit >= 1.3.9-8.44.1
  • cups-libs-x86 >= 1.3.9-8.44.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA cups-1.3.9-8.44.1
SUSE Linux Enterprise Server 11 SP3
  • cups >= 1.3.9-8.46.46.1
  • cups-client >= 1.3.9-8.46.46.1
  • cups-libs >= 1.3.9-8.46.46.1
  • cups-libs-32bit >= 1.3.9-8.46.46.1
  • cups-libs-x86 >= 1.3.9-8.46.46.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA cups-1.3.9-8.46.46.1
SUSE Linux Enterprise Server 11 SP4
  • cups >= 1.3.9-8.46.56.1
  • cups-client >= 1.3.9-8.46.56.1
  • cups-devel >= 1.3.9-8.46.56.1
  • cups-libs >= 1.3.9-8.46.56.1
  • cups-libs-32bit >= 1.3.9-8.46.56.1
  • cups-libs-x86 >= 1.3.9-8.46.56.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA cups-1.3.9-8.46.56.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA cups-devel-1.3.9-8.46.56.1
SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server for SAP Applications 11
  • cups >= 1.3.9-8.37.1
  • cups-client >= 1.3.9-8.37.1
  • cups-libs >= 1.3.9-8.37.1
  • cups-libs-32bit >= 1.3.9-8.37.1
  • cups-libs-x86 >= 1.3.9-8.37.1
Patchnames:
slessp0-cups
SUSE Linux Enterprise Server 12 SP1
  • cups >= 1.7.5-9.1
  • cups-client >= 1.7.5-9.1
  • cups-devel >= 1.7.5-9.1
  • cups-libs >= 1.7.5-9.1
  • cups-libs-32bit >= 1.7.5-9.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA cups-1.7.5-9.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA cups-devel-1.7.5-9.1
SUSE Linux Enterprise Server 12 SP2
  • cups >= 1.7.5-12.4
  • cups-client >= 1.7.5-12.4
  • cups-ddk >= 1.7.5-12.4
  • cups-devel >= 1.7.5-12.4
  • cups-libs >= 1.7.5-12.4
  • cups-libs-32bit >= 1.7.5-12.4
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA cups-1.7.5-12.4
SUSE Linux Enterprise Software Development Kit 12 SP2 GA cups-ddk-1.7.5-12.4
SUSE Linux Enterprise Server 12 SP3
  • cups >= 1.7.5-19.1
  • cups-client >= 1.7.5-19.1
  • cups-ddk >= 1.7.5-19.1
  • cups-devel >= 1.7.5-19.1
  • cups-libs >= 1.7.5-19.1
  • cups-libs-32bit >= 1.7.5-19.1
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Server 12 SP3 GA cups-1.7.5-19.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA cups-ddk-1.7.5-19.1
SUSE Linux Enterprise Server 12 SP4
  • cups >= 1.7.5-20.17.1
  • cups-client >= 1.7.5-20.17.1
  • cups-ddk >= 1.7.5-20.17.1
  • cups-devel >= 1.7.5-20.17.1
  • cups-libs >= 1.7.5-20.17.1
  • cups-libs-32bit >= 1.7.5-20.17.1
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Server 12 SP4 GA cups-1.7.5-20.17.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA cups-ddk-1.7.5-20.17.1
SUSE Linux Enterprise Server 12 SP5
  • cups >= 1.7.5-20.23.1
  • cups-client >= 1.7.5-20.23.1
  • cups-ddk >= 1.7.5-20.23.1
  • cups-devel >= 1.7.5-20.23.1
  • cups-libs >= 1.7.5-20.23.1
  • cups-libs-32bit >= 1.7.5-20.23.1
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Server 12 SP5 GA cups-1.7.5-20.23.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA cups-ddk-1.7.5-20.23.1
SUSE Linux Enterprise Server 12
  • cups >= 1.7.5-2.7
  • cups-client >= 1.7.5-2.7
  • cups-devel >= 1.7.5-2.7
  • cups-libs >= 1.7.5-2.7
  • cups-libs-32bit >= 1.7.5-2.7
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Server 12 GA cups-1.7.5-2.3
SUSE Linux Enterprise Software Development Kit 12 GA cups-devel-1.7.5-2.7
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • cups >= 1.7.5-12.4
  • cups-client >= 1.7.5-12.4
  • cups-libs >= 1.7.5-12.4
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA cups-1.7.5-12.4
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • cups-devel >= 1.7.5-9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA cups-devel-1.7.5-9.1
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • cups-ddk >= 1.7.5-12.4
  • cups-devel >= 1.7.5-12.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA cups-ddk-1.7.5-12.4
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • cups-ddk >= 1.7.5-19.1
  • cups-devel >= 1.7.5-19.1
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Software Development Kit 12 SP3 GA cups-ddk-1.7.5-19.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • cups-ddk >= 1.7.5-20.17.1
  • cups-devel >= 1.7.5-20.17.1
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Software Development Kit 12 SP4 GA cups-ddk-1.7.5-20.17.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • cups-ddk >= 1.7.5-20.23.1
  • cups-devel >= 1.7.5-20.23.1
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Software Development Kit 12 SP5 GA cups-ddk-1.7.5-20.23.1
SUSE Linux Enterprise Server for SAP Applications 12
  • cups-devel >= 1.7.5-2.7
  • cups154 >= 1.5.4-2.5
  • cups154-client >= 1.5.4-2.5
  • cups154-filters >= 1.5.4-2.5
  • cups154-libs >= 1.5.4-2.5
Patchnames:
SUSE Linux Enterprise Module for Legacy 12 GA cups154-1.5.4-2.13
SUSE Linux Enterprise Software Development Kit 12 GA cups-devel-1.7.5-2.7
SUSE Linux Enterprise Software Development Kit 12 SP3
  • cups-ddk >= 1.7.5-19.1
  • cups-devel >= 1.7.5-19.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA cups-ddk-1.7.5-19.1
SUSE Linux Enterprise Software Development Kit 12 SP4
  • cups-ddk >= 1.7.5-20.17.1
  • cups-devel >= 1.7.5-20.17.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA cups-ddk-1.7.5-20.17.1
SUSE Linux Enterprise Software Development Kit 12 SP5
  • cups-ddk >= 1.7.5-20.23.1
  • cups-devel >= 1.7.5-20.23.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA cups-ddk-1.7.5-20.23.1
SUSE Linux Enterprise Software Development Kit 12
  • cups-devel >= 1.7.5-2.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA cups-devel-1.7.5-2.7
openSUSE Leap 15.0
  • cups >= 2.2.7-lp150.1.1
  • cups-client >= 2.2.7-lp150.1.1
  • cups-config >= 2.2.7-lp150.1.1
  • libcups2 >= 2.2.7-lp150.1.1
  • libcupscgi1 >= 2.2.7-lp150.1.1
  • libcupsimage2 >= 2.2.7-lp150.1.1
  • libcupsmime1 >= 2.2.7-lp150.1.1
  • libcupsppdc1 >= 2.2.7-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA cups-2.2.7-lp150.1.1
openSUSE Tumbleweed
  • cups >= 2.1.3-2.3
  • cups-client >= 2.1.3-2.3
  • cups-ddk >= 2.1.3-2.3
  • cups-devel >= 2.1.3-2.3
  • cups-devel-32bit >= 2.1.3-2.3
  • cups-libs >= 2.1.3-2.3
  • cups-libs-32bit >= 2.1.3-2.3
Patchnames:
openSUSE Tumbleweed GA cups-2.1.3-2.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise High Performance Computing 12 cups154 Already fixed
SUSE Linux Enterprise Module for Legacy 12 cups154 Already fixed
SUSE Linux Enterprise Server 12 SP5 cups154 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 cups154 Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Server 12 SP4 cups154 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 cups154 Already fixed
Products past their end of life and not receiving proactive updates anymore.
SLES for SAP Applications 11 SP2 cups Affected
SLES for SAP Applications 11 SP3 cups Affected
SUSE Linux Enterprise Desktop 11 cups Affected
SUSE Linux Enterprise Desktop 11 SP1 cups Affected
SUSE Linux Enterprise Desktop 11 SP2 cups Affected
SUSE Linux Enterprise Desktop 11 SP3 cups Affected
SUSE Linux Enterprise Desktop 11 SP4 cups Affected
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search cups Affected
SUSE Linux Enterprise Server 11 cups Affected
SUSE Linux Enterprise Server 11 SP1 cups Affected
SUSE Linux Enterprise Server 11 SP1 LTSS cups Affected
SUSE Linux Enterprise Server 11 SP2 cups Affected
SUSE Linux Enterprise Server 11 SP2 LTSS cups Affected
SUSE Linux Enterprise Server 11 SP3 cups Affected
SUSE Linux Enterprise Server 11 SP3 LTSS cups Affected
SUSE Linux Enterprise Server 11 SP3-LTSS cups Affected
SUSE Linux Enterprise Server 11 SP4 cups Affected
SUSE Linux Enterprise Server 11 SP4 LTSS cups Affected
SUSE Linux Enterprise Server 11 SP4-LTSS cups Affected
SUSE Linux Enterprise Server 12 cups154 Already fixed
SUSE Linux Enterprise Server 12 SP3 cups154 Already fixed
SUSE Linux Enterprise Server for SAP Applications 11 cups Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP1 cups Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 cups Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 cups Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 cups Affected
SUSE Linux Enterprise Server for SAP Applications 12 cups154 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 cups154 Already fixed
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 cups Affected
SUSE Linux Enterprise Software Development Kit 11 cups Affected
SUSE Linux Enterprise Software Development Kit 11 SP1 cups Affected
SUSE Linux Enterprise Software Development Kit 11 SP2 cups Affected
SUSE Linux Enterprise Software Development Kit 11 SP3 cups Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 cups Affected


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 03:40:40 2013
CVE page last modified: Tue Jan 17 13:57:07 2023